Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2398 - rc.sysinit doesn't set domain unless NIS is present
Summary: rc.sysinit doesn't set domain unless NIS is present
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: initscripts
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-28 17:35 UTC by Steingold, Sam
Modified: 2014-03-17 02:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-04 19:48:22 UTC


Attachments (Terms of Use)

Description Steingold, Sam 1999-04-28 17:35:00 UTC
DOMAINNAME set in /etc/sysconfig/network is ignored in
/etc/rc.d/rc.sysinit.  The following patch fixes the
problem:

*** /etc/rc.d/rc.sysinit.old    Wed Apr 28 13:31:31 1999
--- /etc/rc.d/rc.sysinit        Wed Apr 28 13:32:46 1999
***************
*** 61,67 ****
  if [ -n "$NISDOMAIN" ]; then
      action "Setting NIS domain name $NISDOMAIN" domainname
$NISDOMAIN
  else
!     domainname ""
  fi

  if [ -f /fsckoptions ]; then
--- 61,67 ----
  if [ -n "$NISDOMAIN" ]; then
      action "Setting NIS domain name $NISDOMAIN" domainname
$NISDOMAIN
  else
!     action "Setting domain name $DOMAINNAME" domainname
$DOMAINNAME
  fi

  if [ -f /fsckoptions ]; then

Comment 1 Bill Nottingham 1999-04-28 18:00:59 UTC
why would you want to set the NIS domain name if you
aren't using NIS?

Comment 2 Steingold, Sam 1999-04-28 18:08:59 UTC
allright, make it dnsdomainname, not domainname.

Comment 3 Bill Nottingham 1999-04-28 21:43:59 UTC
You can't set the dnsdomainname. (see the man page...)


Note You need to log in before you can comment on or make changes to this bug.